﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace Communication.Frames
{
    public static class CommandExtensions
    {
        public static CommandCode GetCode(Enum enumValue)
        {
            CommandCode attribute;

            MemberInfo memberInfo = enumValue.GetType().GetMember(enumValue.ToString()).FirstOrDefault();
            if (memberInfo != null)
            {
                attribute = (CommandCode)memberInfo.GetCustomAttributes(typeof(CommandCode), false).FirstOrDefault();
                return attribute;
            }
            return null;
        }
    }
}
