﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Communication.Frames
{
    public class RequestFrame
    {
        public static readonly int Length = 9;

        public Command Command { get; private set; }
        public byte Data { get; private set; }

        public RequestFrame(Command command, byte data)
        {
            Command = command;
            Data = data;
        }

        public override string ToString()
        {
            return string.Format("Command: " + Data.ToString());
        }
    }
}
