﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Communication.Frames
{
    public class ResponseFrame
    {
        public static readonly int Length = 11;

        public int CurrentTime { get; private set; }
        public bool LedState { get; private set; }

        public ResponseFrame(int currentTime, bool ledState)
        {
            CurrentTime = currentTime;
            LedState = ledState;
        }
    }
}
